
import React from 'react';
import ReactDOM from 'react-dom'



// import {GistLab} from '../index.js'
// import {GistLabsFromPage, UncontrolledLabsFromPage, LabsFromGists} from '../index'
import {GistLabsFromPage, UncontrolledLabsFromPage, LabsFromGists} from '../lib/labs_from_page'
import GistLab from '../components/gist_lab'
// juuust for testing
// an example

class App extends React.Component {
  constructor(){
    super()
  }
  componentDidMount(){
    // console.log('mount!!!')
    // juust for testing in page ones
    // let props = {initial_active_edit:'script.js', lab_props: {hide_preview_frame:true, cm_theme:"monokai"} }
    // let props = {lab_props: {hide_preview_frame:true, cm_theme:"monokai"} }
    let props = {lab_props: { cm_theme:"monokai"} }
    GistLabsFromPage(props)
    // UncontrolledLabsFromPage(props)
    LabsFromGists()

  }
  render(){

    let lab_props = { initial_active_edit:"index.js", cm_theme:"monokai", files_shown_white_list:[] }
    // return <div id="app"><em>React ones go here🍅  XXX DEV</em></div>
    return (<div id="app">
      <h2> Testing 123!!!!!!</h2>
      <GistLab gist_id="b07f8ae91c5e9e45719c" title="Gist Embed" />

      <p>Testing bla bla bla!!! This example has no index.js and uses <code>lab_props</code> to change the theme and hide the filebar entirely </p>
      <GistLab gist_id="ea5e1f21acbddbbe1e2201bcb1d55179" lab_props={lab_props} title="Testing 123" />
      <p> Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore </p>
      <h2> La la la</h2>
      <p>!!!! ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. </p>
      <p> This example hides some files in the file list</p>
      <GistLab gist_id="6ab5fad108a36968ff66b341f457ac93" title="La" lab_props={{files_shown_white_list:[`index.js`, `index.html`]}} />
      <p> After cards example</p>
      <p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>
      <h2>Lorem!</h2>
      <p> Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
    </div>)
  }
}

// <GistLab gist_id="ea5e1f21acbddbbe1e2201bcb1d55179" initial_active_edit="index.js" cm_theme="monokai" files_shown_white_list={[`index.js`, `index.html`]}/>
// <Lab gist_id="6ab5fad108a36968ff66b341f457ac93" initial_active_edit="index.js" files_shown_white_list={[`index.js`, `index.html`]}/>
// <Lab gist_id="b07f8ae91c5e9e45719c"/>

// circles
// <Lab gist_id="b07f8ae91c5e9e45719c"/>


//
// <Lab gist="1345853"/>
// <Lab gist="ea5e1f21acbddbbe1e2201bcb1d55179"/>
// <Lab gist="b07f8ae91c5e9e45719c"/>
// <Lab gist="408db70fbe7d2eb2249de2a4ff6a7fe0"/>
// <Lab gist="6ab5fad108a36968ff66b341f457ac93"/>


export default App
