// import {EventEmitter} from 'events'

// we export an instance of this, i.e. as a singleton
// we could have a different version of this for using gatekeeper or similar for auth
class LocalCred {
  constructor(){ }
  set_disabled(){
    this.disabled = true
  }
  remove_cred(){
    if (this.disabled) { return }
    localStorage.removeItem(`gh-user-cred`)
  }
  set_cred(cred){
    if (this.disabled) { return }
    localStorage.setItem(`gh-user-cred`, JSON.stringify(cred))
  }
  get_cred(){
    if (this.disabled) { return }
    return JSON.parse(localStorage.getItem(`gh-user-cred`))
  }
  // get(initial_lab_id){
  //   if (this.disabled) { return {} }
  //   let files = JSON.parse(localStorage.getItem(this.get_id(initial_lab_id)))
  //   let meta = JSON.parse(localStorage.getItem(this.get_id(initial_lab_id, true)))
  //   if (!files) { return this.get_original(initial_lab_id) }
  //   // console.log('got', files)
  //   return {files, meta}
  // }
  // get_id(id, is_meta=false){
  //   let meta_suffix = is_meta ? `-meta`: ``
  //   return `u-${id}${meta_suffix}`
  // }
  // set(initial_lab_id, files, meta){
  //   if (this.disabled) { return }
  //   localStorage.setItem(this.get_id(initial_lab_id), JSON.stringify(files))
  //   localStorage.setItem(this.get_id(initial_lab_id, true), JSON.stringify(meta))
  // }
  // set_original(initial_lab_id, files, meta){
  //   if (this.disabled) { return }
  //   initial_lab_id+='-orig'
  //   localStorage.setItem(this.get_id(initial_lab_id), JSON.stringify(files))
  //   localStorage.setItem(this.get_id(initial_lab_id, true), JSON.stringify(meta))
  // }
  // get_original(initial_lab_id){
  //   if (this.disabled) { return {} }
  //   initial_lab_id+='-orig'
  //   let files = JSON.parse(localStorage.getItem(this.get_id(initial_lab_id)))
  //   let meta = JSON.parse(localStorage.getItem(this.get_id(initial_lab_id, true)))
  //   // console.log('got', files)
  //   return {files, meta}
  // }
  // remove(initial_lab_id){
  //   localStorage.removeItem(this.get_id(initial_lab_id))
  //   localStorage.removeItem(this.get_id(initial_lab_id, true))
  // }
}
// XXX exporting an instance XXX
const LocalCredStore = new LocalCred()
export default LocalCredStore
