import React from 'react';


export default class FileBar extends React.Component {
  constructor(props){
    super(props)
  }
  render(){
    // if whitelist is [], don't display anything
    if (this.props.whitelist && this.props.whitelist.length == 0){
      return <div></div>
    }
    // console.log(this.props)
    let filenames = Object.keys(this.props.files)
    filenames = this.props.whitelist === false ? filenames : filenames.filter( (x)=>this.props.whitelist.includes(x))
    return (<div className="filebar">
      {this.props.addNewFile ? <span className="add_new_file" onClick={e=>this.props.addNewFile(e.preventDefault())}>➕</span> : ''}
      {filenames.map( (filename,i)=> <span onClick={e=>this.props.switchFile(filename)} className={`file ${filename==this.props.active_edit ? 'active_edit':''} `} key={i}>{filename}</span> )}
    </div>)
  }
}
