import React from "react";
import ReactDOM from "react-dom";

import { AppContainer } from "react-hot-loader";
// AppContainer is a necessary wrapper component for HMR

import App from "./app_dev";
// document.title = '*DEV*👹'+document.title
require("./style.dev.less");

// console.log('aaab')

const render = () => {
  ReactDOM.render(
    <AppContainer>
      <App />
    </AppContainer>,
    document.getElementById("root")
  );
};

render();

// Hot Module Replacement API
if (module.hot) {
  // does it have to be in the same dir? i guess not
  module.hot.accept("./app_dev", render);
}
